Subject: bug#39994: 27.0.90; Broken image-converter probe for imagemagick

From: Juri Linkov <[email-masked]>
Date: Sun, 15 Mar 2020 02:00:12 +0200

tags 39994 fixed
close 39994 27.1
quit

>> I propose to change the order because ffmpeg doesn't support too much
>> image formats, so it is less useful than imagemagick when both
>> imagemagick and ffmpeg are installed at the same time.
>
> We put imagemagick at the end because of the same reason we're
> deprecating libmagick in Emacs -- imagemagick has had en enormous number
> of exploitable bugs over the years.  Running external programs mitigates
> this slightly, but it should remain the last option.

Right.  I moved it up only because I was lazy to restart Emacs -
currently customization of image-converter requires restarting Emacs,
but it's not a big problem.

>> Oh, I haven't noticed the comment, I don't know why, now updated:
>
> Looks good to me; please apply.

Done.